//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <iterator>
#include <vector>
#include <string>
#include <algorithm>
#include <conio.h> //  getch()
#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;
std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main(int argc, char* argv[])
{
  vector<string> coll;

  //       
  // - :      (   )
  // - : coll ()
  cout << ToRus("  ( - CTRL+Z):\n");
  copy (istream_iterator <string> (cin),  //  
       istream_iterator <string> (),    //  
       back_inserter(coll));        //

  //  
  sort (coll.begin(),coll.end());

  //     
  // - : coll
  // - :   (  
  //   )

  cout << ToRus(" :\n");
  unique_copy (coll.begin(), coll.end(), // 
    ostream_iterator<string>(cout,"\n")); // 

  cout << endl;

  getch();
  return 0;
}
//---------------------------------------------------------------------------
